<?php
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}

return array(
	'name' => esc_html__( 'Row', 'js_composer' ),
	'is_container' => true,
	'icon' => 'icon-wpb-row',
	'show_settings_on_create' => false,
	'category' => esc_html__( 'Content', 'js_composer' ),
	'class' => 'vc_main-sortable-element',
	'description' => esc_html__( 'Place content elements inside the row', 'js_composer' ),
	'params' => array(
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Row width', 'js_composer' ),
			'param_name' => 'layout', //former full_width
			'value' => array(
			/*
				esc_html__( 'Default', 'js_composer' ) => '',
				esc_html__( 'Stretch row', 'js_composer' ) => 'stretch_row',
				esc_html__( 'Stretch row and content', 'js_composer' ) => 'stretch_row_content',
				esc_html__( 'Stretch row and content (no paddings)', 'js_composer' ) => 'stretch_row_content_no_spaces',
			*/
				esc_html__('Normal','js_composer') => 'normal',
				esc_html__('Normal without padding left and right','js_composer') => 'normal_no_spaces',
				esc_html__('Wide','js_composer') => 'wide',				
				esc_html__('Wide without spaces and no padding','js_composer') => 'stretch_row_content_no_spaces',
			
			),
				
			'description' => esc_html__( 'Select stretching options for row and content (Note: stretched may not work properly if parent container has "overflow: hidden" CSS property).', 'js_composer' ),
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Columns gap', 'js_composer' ),
			'param_name' => 'gap',
			'value' => array(
				'0px' => '0',
				'1px' => '1',
				'2px' => '2',
				'3px' => '3',
				'4px' => '4',
				'5px' => '5',
				'10px' => '10',
				'15px' => '15',
				'20px' => '20',
				'25px' => '25',
				'30px' => '30',
				'35px' => '35',
			),
			'std' => '0',
			'description' => esc_html__( 'Select gap between columns in row.', 'js_composer' ),
		),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Full height row?', 'js_composer' ),
			'param_name' => 'fullscreen', // used to be full_height 
			'description' => esc_html__( 'If checked row will be set to full height.', 'js_composer' ),
			'value' => array( esc_html__( 'Yes', 'js_composer' ) => 'yes' ),
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Columns position', 'js_composer' ),
			'param_name' => 'columns_placement',
			'value' => array(
				esc_html__( 'Middle', 'js_composer' ) => 'middle',
				esc_html__( 'Top', 'js_composer' ) => 'top',
				esc_html__( 'Bottom', 'js_composer' ) => 'bottom',
				esc_html__( 'Stretch', 'js_composer' ) => 'stretch',
			),
			'description' => esc_html__( 'Select columns position within row.', 'js_composer' ),
			'dependency' => array(
				'element' => 'fullscreen', // used to be full_height
				'not_empty' => true,
			),
		),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Equal height', 'js_composer' ),
			'param_name' => 'eq_height', // used to be equal_height 
			'description' => esc_html__( 'If checked columns will be set to equal height.', 'js_composer' ),
			'value' => array( esc_html__( 'Yes', 'js_composer' ) => 'yes' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Content position', 'js_composer' ),
			'param_name' => 'content_placement',
			'value' => array(
				esc_html__( 'Default', 'js_composer' ) => '',
				esc_html__( 'Top', 'js_composer' ) => 'top',
				esc_html__( 'Middle', 'js_composer' ) => 'middle',
				esc_html__( 'Bottom', 'js_composer' ) => 'bottom',
			),
			'description' => esc_html__( 'Select content position within columns.', 'js_composer' ),
		),
		array(
			'type' => 'css_editor',
			'heading' => esc_html__( 'CSS box', 'js_composer' ),
			'param_name' => 'css',
			'group' => esc_html__( 'Design Options', 'js_composer' ),
		),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Enable video background?', 'js_composer' ),
			'param_name' => 'video_bg',
			'description' => esc_html__( 'To enable video background you will have to first set the links to your video files in .webm and .mp4 format using the fields below. You can upload your .mp4 and .webm files under the Media -> Library section of WordPress. <br/>* IMPORTANT: You can also use a YouTube Video instead of using .webm and .mp4 files', 'js_composer' ),
			'value' => array( esc_html__( 'Yes, please', 'js_composer' ) => 'yes' ),
			'group' => esc_html__( 'Video Background', 'js_composer' )
		),
		array(
			"type" => "textfield",
			"heading" => esc_html__("MP4 video file url", "Creativo"),
			"param_name" => "mp4",
			"value" => "",
			'group' => esc_html__( 'Video Background', 'js_composer' ),
			"description" => esc_html__("Paste here the link to your MP4 video file.", "Creativo"),
			'dependency' => array(
				'element' => 'video_bg',
				'not_empty' => true,
			),
		),
		array(
			"type" => "textfield",
			"heading" => esc_html__("WebM video file url", "Creativo"),
			"param_name" => "webm",
			"value" => "",
			'group' => esc_html__( 'Video Background', 'js_composer' ),
			"description" => esc_html__("Paste here the link to your WebM video file.", "Creativo"),
			'dependency' => array(
				'element' => 'video_bg',
				'not_empty' => true,
			),
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'YouTube link', 'js_composer' ),
			'param_name' => 'video_bg_url',
			
			'description' => esc_html__( 'Add YouTube link. E.g: https://www.youtube.com/watch?v=lMJXxhRFO1k', 'js_composer' ),
			'dependency' => array(
				'element' => 'video_bg',
				'not_empty' => true,
			),
			'group' => esc_html__( 'Video Background', 'js_composer' )
		),
		array(
		  "type" => "colorpicker",		  
		  "class" => "",
		  "heading" => esc_html__("Video Overlay", 'Creativo'),
		  "param_name" => "video_overlay",
		  "value" => 'rgba(0,0,0,0.45)', //Default Red color
		  'group' => esc_html__( 'Video Background', 'js_composer' ),
		  "description" => esc_html__("Choose the color and opacity of the video overlay", 'Creativo'),
		  'dependency' => array(
				'element' => 'video_bg',
				'not_empty' => true,
			),
		),	
		array(
		  "type" => "attach_image",
		  "heading" => esc_html__("Video Placeholder Image for Mobile Devices", "Creativo"),
		  "param_name" => "video_placeholder",
		  "value" => "",
		  'group' => esc_html__( 'Video Background', 'js_composer' ),
		  "description" => esc_html__("Upload an image to be used as a background image for mobile devices.", "Creativo"),
		  'dependency' => array(
				'element' => 'video_bg',
				'not_empty' => true,
			),
		),/*
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Parallax', 'js_composer' ),
			'param_name' => 'video_bg_parallax',
			'group' => esc_html__( 'Video Background', 'js_composer' ),
			'value' => array(
				esc_html__( 'None', 'js_composer' ) => '',
				esc_html__( 'Simple', 'js_composer' ) => 'content-moving',
				esc_html__( 'With fade', 'js_composer' ) => 'content-moving-fade',
			),
			'description' => esc_html__( 'Add parallax type background for row.', 'js_composer' ),
			'dependency' => array(
				'element' => 'video_bg',
				'not_empty' => true,
			),
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Parallax speed', 'js_composer' ),
			'param_name' => 'parallax_speed_video',
			'group' => esc_html__( 'Video Background', 'js_composer' ),
			'value' => '1.5',
			'description' => esc_html__( 'Enter parallax speed ratio (Note: Default value is 1.5, min value is 1)', 'js_composer' ),
			'dependency' => array(
				'element' => 'video_bg_parallax',
				'not_empty' => true,
			),
		),*/
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Enable Parallax effect', 'js_composer' ),
			'param_name' => 'parallax',
			'value' => array( esc_html__( 'Yes, please', 'js_composer' ) => 'yes' ),
			'description' => esc_html__( 'To enable parallax effect you will have to first set a Background Image under Design Options tab.', 'js_composer' ),
			'group' => esc_html__( 'Parallax', 'js_composer' ),
			'dependency' => array(
				'element' => 'video_bg',
				'is_empty' => true,
			),
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Parallax Image Size', 'js_composer' ),
			'param_name' => 'parallax_sizing',
			'group' => esc_html__( 'Parallax', 'js_composer' ),
			'value' => array(
				esc_html__( 'Cover', 'js_composer' ) => 'cover',
				esc_html__( '100%', 'js_composer' ) => '100%',				
			),
			'description' => esc_html__( 'Select how the Parallax Image Width will be calculated. Sometimes the 100% works better than cover mode.', 'js_composer' ),
			'dependency' => array(
				'element' => 'parallax',
				'not_empty' => true,
			),
		),
		/*
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Parallax Type', 'js_composer' ),
			'param_name' => 'parallax_type',
			'value' => array(
				//esc_html__( 'None', 'js_composer' ) => '',
				esc_html__( 'Simple', 'js_composer' ) => 'content-moving',
				esc_html__( 'With fade', 'js_composer' ) => 'content-moving-fade',
			),			
			
			'dependency' => array(
				'element' => 'parallax',
				'not_empty' => true,
			),
			'group' => esc_html__( 'Parallax', 'js_composer' )
		),*//*
		array(
			'type' => 'attach_image',
			'heading' => esc_html__( 'Image', 'js_composer' ),
			'param_name' => 'parallax_image',
			'value' => '',
			'description' => esc_html__( 'Select image from media library.', 'js_composer' ),
			'dependency' => array(
				'element' => 'parallax',
				'not_empty' => true,
			),
			'group' => esc_html__( 'Parallax', 'js_composer' )
		),*/
		/*
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Parallax speed', 'js_composer' ),
			'param_name' => 'parallax_speed_bg',
			'value' => '1.5',
			'description' => esc_html__( 'Enter parallax speed ratio (Note: Default value is 1.5, min value is 1)', 'js_composer' ),
			'dependency' => array(
				'element' => 'parallax',
				'not_empty' => true,
			),
			'group' => esc_html__( 'Parallax', 'js_composer' )
		),*/
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Section ID', 'js_composer' ),
			'param_name' => 'section_id',
			'description' => sprintf( esc_html__( 'Enter row ID (Note: make sure it is unique and valid according to <a href="%s" target="_blank">w3c specification</a>).', 'js_composer' ), 'http://www.w3schools.com/tags/att_global_id.asp' ),
		),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Disable row', 'js_composer' ),
			'param_name' => 'disable_element',
			// Inner param name.
			'description' => esc_html__( 'If checked the row won\'t be visible on the public side of your website. You can switch it back any time.', 'js_composer' ),
			'value' => array( esc_html__( 'Yes', 'js_composer' ) => 'yes' ),
		),

			array(
				"type" => "checkbox",
				"class" => "",
				"group" => "Shape Divider",
				"heading" => "Enable Top Shape Divider",
				"value" => array("Yes, please" => "true" ),
				"param_name" => "enable_shape_divider",
				"description" => ""
			),
			array(
				"type" => "cr_img_select",
				"class" => "",
				'save_always' => true,
				'dependency' => array(
					'element' => 'enable_shape_divider', 'value' => 'true'
				),
				"heading" => "Shape Type",
				"param_name" => "shape_type",
				"group" => "Shape Divider",
				"options" => array(					
					'fan' => array( esc_html__('Fan', "js_composer") => get_template_directory_uri()."/assets/images/vc/shape_dividers/fan_cr.jpg"),
					'fan2' => array( esc_html__('Fan 2', "js_composer") => get_template_directory_uri()."/assets/images/vc/shape_dividers/fan2_cr.jpg"),
					'slant-2' => array( esc_html__('Slant', "js_composer") => get_template_directory_uri()."/assets/images/vc/shape_dividers/slant_cr.jpg"),
					'tilt' => array( esc_html__('Tilt', "js_composer") => get_template_directory_uri()."/assets/images/vc/shape_dividers/tilt_cr.jpg"),					
					'triangle' => array( esc_html__('Triangle', 'js_composer') => get_template_directory_uri()."/assets/images/vc/shape_dividers/triangle_cr.jpg"),
					'triangle_op' => array( esc_html__('Triangle Opacity', 'js_composer') => get_template_directory_uri()."/assets/images/vc/shape_dividers/triangle_opacity_cr.jpg"),
					'rocks' => array( esc_html__('Rocks', 'js_composer') => get_template_directory_uri()."/assets/images/vc/shape_dividers/rocks_cr.jpg"),
					'rocks_op' => array( esc_html__('Rocks Opacity', 'js_composer') => get_template_directory_uri()."/assets/images/vc/shape_dividers/rocks2_cr.jpg"),
					'ramp' => array( esc_html__('Ramp', "js_composer") => get_template_directory_uri()."/assets/images/vc/shape_dividers/ramp_cr.jpg"),
					'ramp_op' => array( esc_html__('Ramp Opacity', "js_composer") => get_template_directory_uri()."/assets/images/vc/shape_dividers/ramp_op_cr.jpg"),
					'curve' => array( esc_html__('Curve', "js_composer") => get_template_directory_uri()."/assets/images/vc/shape_dividers/curve_down_cr.jpg"),
					'curve_opacity' => array( esc_html__('Curve Opacity', "js_composer") => get_template_directory_uri()."/assets/images/vc/shape_dividers/curve_opacity_cr.jpg"),					
					'curve_asym' => array( esc_html__('Curve Asym.', "js_composer") => get_template_directory_uri()."/assets/images/vc/shape_dividers/curve_asym_cr.jpg"),
					"mountains" => array( esc_html__('Mountains', "js_composer") => get_template_directory_uri()."/assets/images/vc/shape_dividers/mountains_cr.jpg"),						
					'wave1' => array( esc_html__('Wave', "js_composer") => get_template_directory_uri()."/assets/images/vc/shape_dividers/wave.jpg"),
					'wave2' => array( esc_html__('Wave Opacity', "js_composer") => get_template_directory_uri()."/assets/images/vc/shape_dividers/wave_opacity.jpg"),
					'waves' => array( esc_html__('Waves', "js_composer") => get_template_directory_uri()."/assets/images/vc/shape_dividers/waves_no_opacity_cr.jpg"),
					'waves_opacity' => array( esc_html__('Waves Opacity', "js_composer") => get_template_directory_uri()."/assets/images/vc/shape_dividers/waves_cr.jpg"),
					'waves_opacity_alt' => array( esc_html__('Waves Opacity 2', "js_composer") => get_template_directory_uri()."/assets/images/vc/shape_dividers/waves_opacity_cr.jpg"),
					'waves_opacity_3' => array( esc_html__('Waves Opacity 3', "js_composer") => get_template_directory_uri()."/assets/images/vc/shape_dividers/waves_opacity_3.jpg"),
					'asym' => array( esc_html__('Asymetric 1', "js_composer") => get_template_directory_uri()."/assets/images/vc/shape_dividers/asym.jpg"),
					'asym2' => array( esc_html__('Asymetric 2', "js_composer") => get_template_directory_uri()."/assets/images/vc/shape_dividers/asym_2.jpg"),
					'graph1' => array( esc_html__('Graph 1', "js_composer") => get_template_directory_uri()."/assets/images/vc/shape_dividers/graph_1.jpg"),
					'graph2' => array( esc_html__('Graph 2', "js_composer") => get_template_directory_uri()."/assets/images/vc/shape_dividers/graph_2.jpg"),
					'clouds' => array( esc_html__('Clouds', "js_composer") => get_template_directory_uri()."/assets/images/vc/shape_dividers/clouds_cr.jpg"),
					'clouds2' => array( esc_html__('Clouds 2', "js_composer") => get_template_directory_uri()."/assets/images/vc/shape_dividers/clouds_2.jpg"),
					'clouds3' => array( esc_html__('Clouds 3', "js_composer") => get_template_directory_uri()."/assets/images/vc/shape_dividers/clouds_3.jpg"),
					"speech" => array( esc_html__('Speech', "js_composer") => get_template_directory_uri()."/assets/images/vc/shape_dividers/speech_cr.jpg")
				),
			),
			/*
			array(
				"type" => "dropdown",
				"class" => "",
				'save_always' => true,
				"heading" => "Shape Divider Position",
				"param_name" => "shape_divider_position",
				"group" => "Shape Divider",
				"value" => array(
					"Bottom" => "bottom",
					"Top" => "top",
					"Bottom & Top" => 'both'
				),
			),*/
			array(
				"type" => "colorpicker",
				"class" => "",
				"heading" => "Shape Divider Color",
				"param_name" => "shape_divider_color",
				"value" => "#0bbf50",
				"group" => "Shape Divider",
				'dependency' => array(
					'element' => 'enable_shape_divider', 'value' => 'true'
				),
				"description" => ""
			),
			array(
				"type" => "textfield",
				"class" => "",
				"group" => "Shape Divider",
				"heading" => "Shape Divider Height",
				"param_name" => "shape_divider_height",
				"value" => "120",
				'dependency' => array(
					'element' => 'enable_shape_divider', 'value' => 'true'
				),
				"description" => "Enter an optional custom height for your shape divider in pixels without the \"px\", e.g. 50"
			),/*
			array(
				"type" => "checkbox",
				"class" => "",
				"group" => "Shape Divider",
				"heading" => "Bring to front?",
				"value" => array("Yes, please" => "true" ),
				"param_name" => "shape_divider_bring_to_front",
				'dependency' => array(
					'element' => 'enable_shape_divider', 'value' => 'true'
				),
				"description" => "This will bring the shape divider to the top layer, placing it on top of any content it intersects/"
			),*/
			array(
				"type" => "checkbox",
				"class" => "",
				"group" => "Shape Divider",
				"heading" => "Enable Bottom Shape Divider",
				"value" => array("Yes, please" => "true" ),
				"param_name" => "enable_bot_shape_divider",
				"description" => ""
			),
			array(
				"type" => "cr_img_select",
				"class" => "",
				'save_always' => true,
				'dependency' => array(
					'element' => 'enable_bot_shape_divider', 'value' => 'true'
				),
				"heading" => "Shape Type",
				"param_name" => "bot_shape_type",
				"group" => "Shape Divider",
				"options" => array(					
					'fan' => array( esc_html__('Fan', "js_composer") => get_template_directory_uri()."/assets/images/vc/shape_dividers/bottom/fan_cr.jpg"),
					'fan2' => array( esc_html__('Fan 2', "js_composer") => get_template_directory_uri()."/assets/images/vc/shape_dividers/bottom/fan2_cr.jpg"),
					'slant-2' => array( esc_html__('Slant', "js_composer") => get_template_directory_uri()."/assets/images/vc/shape_dividers/bottom/slant_cr.jpg"),
					'tilt' => array( esc_html__('Tilt', "js_composer") => get_template_directory_uri()."/assets/images/vc/shape_dividers/bottom/tilt_cr.jpg"),					
					'triangle' => array( esc_html__('Triangle', 'js_composer') => get_template_directory_uri()."/assets/images/vc/shape_dividers/bottom/triangle_cr.jpg"),
					'triangle_op' => array( esc_html__('Triangle Opacity', 'js_composer') => get_template_directory_uri()."/assets/images/vc/shape_dividers/bottom/triangle_opacity_cr.jpg"),
					'rocks' => array( esc_html__('Rocks', 'js_composer') => get_template_directory_uri()."/assets/images/vc/shape_dividers/bottom/rocks_cr.jpg"),
					'rocks_op' => array( esc_html__('Rocks Opacity', 'js_composer') => get_template_directory_uri()."/assets/images/vc/shape_dividers/bottom/rocks2_cr.jpg"),
					'ramp' => array( esc_html__('Ramp', "js_composer") => get_template_directory_uri()."/assets/images/vc/shape_dividers/bottom/ramp_cr.jpg"),
					'ramp_op' => array( esc_html__('Ramp Opacity', "js_composer") => get_template_directory_uri()."/assets/images/vc/shape_dividers/bottom/ramp_op_cr.jpg"),
					'curve' => array( esc_html__('Curve', "js_composer") => get_template_directory_uri()."/assets/images/vc/shape_dividers/bottom/curve_down_cr.jpg"),
					'curve_opacity' => array( esc_html__('Curve Opacity', "js_composer") => get_template_directory_uri()."/assets/images/vc/shape_dividers/bottom/curve_opacity_cr.jpg"),					
					'curve_asym' => array( esc_html__('Curve Asym.', "js_composer") => get_template_directory_uri()."/assets/images/vc/shape_dividers/bottom/curve_asym_cr.jpg"),
					"mountains" => array( esc_html__('Mountains', "js_composer") => get_template_directory_uri()."/assets/images/vc/shape_dividers/bottom/mountains_cr.jpg"),						
					'wave1' => array( esc_html__('Wave', "js_composer") => get_template_directory_uri()."/assets/images/vc/shape_dividers/bottom/wave.jpg"),
					'wave2' => array( esc_html__('Wave Opacity', "js_composer") => get_template_directory_uri()."/assets/images/vc/shape_dividers/bottom/wave_opacity.jpg"),
					'waves' => array( esc_html__('Waves', "js_composer") => get_template_directory_uri()."/assets/images/vc/shape_dividers/bottom/waves_no_opacity_cr.jpg"),
					'waves_opacity' => array( esc_html__('Waves Opacity', "js_composer") => get_template_directory_uri()."/assets/images/vc/shape_dividers/bottom/waves_cr.jpg"),
					'waves_opacity_alt' => array( esc_html__('Waves Opacity 2', "js_composer") => get_template_directory_uri()."/assets/images/vc/shape_dividers/bottom/waves_opacity_cr.jpg"),
					'waves_opacity_3' => array( esc_html__('Waves Opacity 3', "js_composer") => get_template_directory_uri()."/assets/images/vc/shape_dividers/bottom/waves_opacity_3.jpg"),
					'asym' => array( esc_html__('Asymetric 1', "js_composer") => get_template_directory_uri()."/assets/images/vc/shape_dividers/bottom/asym.jpg"),
					'asym2' => array( esc_html__('Asymetric 2', "js_composer") => get_template_directory_uri()."/assets/images/vc/shape_dividers/bottom/asym_2.jpg"),
					'graph1' => array( esc_html__('Graph 1', "js_composer") => get_template_directory_uri()."/assets/images/vc/shape_dividers/bottom/graph_1.jpg"),
					'graph2' => array( esc_html__('Graph 2', "js_composer") => get_template_directory_uri()."/assets/images/vc/shape_dividers/bottom/graph_2.jpg"),
					'clouds' => array( esc_html__('Clouds', "js_composer") => get_template_directory_uri()."/assets/images/vc/shape_dividers/bottom/clouds_cr.jpg"),
					'clouds2' => array( esc_html__('Clouds 2', "js_composer") => get_template_directory_uri()."/assets/images/vc/shape_dividers/bottom/clouds_2.jpg"),
					'clouds3' => array( esc_html__('Clouds 3', "js_composer") => get_template_directory_uri()."/assets/images/vc/shape_dividers/bottom/clouds_3.jpg"),
					"speech" => array( esc_html__('Speech', "js_composer") => get_template_directory_uri()."/assets/images/vc/shape_dividers/bottom/speech_cr.jpg")
				),
			),
			array(
				"type" => "colorpicker",
				"class" => "",
				"heading" => "Shape Divider Color",
				"param_name" => "bot_shape_divider_color",
				"value" => "#0bbf50",
				"group" => "Shape Divider",
				'dependency' => array(
					'element' => 'enable_bot_shape_divider', 'value' => 'true'
				),
				"description" => ""
			),
			array(
				"type" => "textfield",
				"class" => "",
				"group" => "Shape Divider",
				"heading" => "Shape Divider Height",
				"param_name" => "bot_shape_divider_height",
				"value" => "120",
				'dependency' => array(
					'element' => 'enable_bot_shape_divider', 'value' => 'true'
				),
				"description" => "Enter an optional custom height for your shape divider in pixels without the \"px\", e.g. 50"
			),
			array(
				"type" => "checkbox",
				"class" => "",
				"group" => "Shape Divider",
				"heading" => "Bring to front?",
				"value" => array("Yes, please" => "true" ),
				"param_name" => "bot_shape_divider_bring_to_front",				
				"description" => "This will force the shape dividers to appear above your content."
			),				

			array(
				"type" => "checkbox",				
				"group" => "Color Overlay",
				"heading" => "Enable Gradient",
				"value" => array("Yes, please" => "true" ),
				"param_name" => "enable_gradient",
				"description" => "Check this option to create a gradient overlay. Leave unchecked to use only one color overlay"
			),	

			array(
				"type" => "colorpicker",
				"class" => "",
				"heading" => "Color Overlay",
				"param_name" => "col_overlay",
				"value" => "",
				"group" => "Color Overlay",				
				"description" => "Set the overlay color. If Gradient option enabled, this will be used as the primary gradient color."
			),

			array(
				"type" => "colorpicker",
				"class" => "",
				"heading" => "Color Overlay 2",
				"param_name" => "col_overlay2",
				"value" => "",
				"group" => "Color Overlay",
				'dependency' => array(
					'element' => 'enable_gradient', 'value' => 'true'
				),
				"description" => ""
			),	

			array(
				"type" => "cr_slider",
				"class" => "",
				"heading" => "Gradient Direction in degrees",
				"param_name" => "cr_slider_deg",
				"value" => "90",
				"group" => "Color Overlay",				
	            "min" => "0",
	            "max" => "360",
	            "step" => "5",
	            'unit' => 'degrees',
				'dependency' => array(
					'element' => 'enable_gradient', 'value' => 'true'
				),
				"description" => ""
			),
		vc_map_add_css_animation( false ),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Extra class name', 'js_composer' ),
			'param_name' => 'el_class',
			'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'js_composer' ),
		),
		
	),
	'js_view' => 'VcRowView',
);