<?php
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}

return array(
	'name' => esc_html__( 'Text Block', 'js_composer' ),
	'icon' => 'icon-wpb-layer-shape-text',
	'wrapper_class' => 'clearfix',
	'category' => esc_html__( 'Content', 'js_composer' ),
	'description' => esc_html__( 'A block of text with WYSIWYG editor', 'js_composer' ),
	'params' => array(
		array(
			'type' => 'textarea_html',
			'holder' => 'div',
			'heading' => esc_html__( 'Text', 'js_composer' ),
			'param_name' => 'content',
			'value' => '<p>' . esc_html__( 'I am text block. Click edit button to change this text. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.', 'js_composer' ) . '</p>',
		),
		/* Creativo addition for Font Size, Color, Line Height and Responsive Options */
		array(
			'type'        => 'colorpicker',
			'heading'     => __( 'Font Color', 'Creativo' ),
			'param_name'  => 'font_color',
			'description' => __( 'Optionally enter your desired font color', 'Creativo' ),
		),
		array(
			'type'        => 'textfield',
			'heading'     => esc_html__( 'Font Size', 'js_composer' ),
			'param_name'  => 'font_size',
			'description' => esc_html__( 'Optionally enter your desired font size, e.g. 25px', 'js_composer' ),
		),
		array(
			'type'        => 'textfield',
			'heading'     => esc_html__( 'Line Height', 'js_composer' ),
			'param_name'  => 'line_height',
			'description' => esc_html__( 'Optionally enter your desired line height, e.g. 1.2 or normal or 30px, etc', 'js_composer' ),
		),
		array(
			'type'        => 'textfield',
			'heading'     => esc_html__( 'Font Weight', 'js_composer' ),
			'param_name'  => 'font_weight',
			'description' => esc_html__( 'Optionally enter your desired font weight, e.g. 400 or 500 or 700, etc', 'js_composer' ),
		),		
		vc_map_add_css_animation(),
		array(
			'type' => 'el_id',
			'heading' => esc_html__( 'Element ID', 'js_composer' ),
			'param_name' => 'el_id',
			'description' => sprintf( esc_html__( 'Enter element ID (Note: make sure it is unique and valid according to %sw3c specification%s).', 'js_composer' ), '<a href="https://www.w3schools.com/tags/att_global_id.asp" target="_blank">', '</a>' ),
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Extra class name', 'js_composer' ),
			'param_name' => 'el_class',
			'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'js_composer' ),
		),
		array(
			'type' => 'css_editor',
			'heading' => esc_html__( 'CSS box', 'js_composer' ),
			'param_name' => 'css',
			'group' => esc_html__( 'Design Options', 'js_composer' ),
		),

		/* Creativo addition for Font Size, Color, Line Height and Responsive Options */		
		array(
			'type'        => 'textfield',
			'group'       => esc_html__( 'Responsive Fonts', 'js_composer' ),
			'heading'     => esc_html__( 'Tablets Font Size (768px)', 'js_composer' ),
			'param_name'  => 'tablet_font_size',
			'description' => esc_html__( 'Optionally enter your desired font size for Tablets, e.g. 25px', 'js_composer' ),
		),
		array(
			'type'        => 'textfield',
			'group'       => esc_html__( 'Responsive Fonts', 'js_composer' ),
			'heading'     => esc_html__( 'Tablets Line Height', 'js_composer' ),
			'param_name'  => 'tablet_line_height',
			'description' => esc_html__( 'Optionally enter your desired line height for Tablets, e.g. 1.2 or normal or 30px, etc', 'js_composer' ),
		),
		array(
			'type'        => 'textfield',
			'group'       => esc_html__( 'Responsive Fonts', 'js_composer' ),
			'heading'     => esc_html__( 'Smartphones Font Size (470px)', 'js_composer' ),
			'param_name'  => 'smartphone_font_size',
			'description' => esc_html__( 'Optionally enter your desired font size for Smartphones, e.g. 15px', 'js_composer' ),
		),
		array(
			'type'        => 'textfield',
			'group'       => esc_html__( 'Responsive Fonts', 'js_composer' ),
			'heading'     => esc_html__( 'Smartphones Line Height', 'js_composer' ),
			'param_name'  => 'smartphone_line_height',
			'description' => esc_html__( 'Optionally enter your desired line height for Smartphones, e.g. 1.2 or normal or 30px, etc', 'js_composer' ),
		),
	),
);
