<?php
/*
Fancy Box Element
*/


	// global $vc_add_css_animation.
	// Note that all keys=values in mapped shortcode can be used with javascript variable vc.map, and php shortcode settings variable.
	return array(
		'name'        => __( 'Fancy Box', 'Creativo' ),
		// shortcode name

		'base'        => 'fancybox',
		// shortcode base [test_element]

		'category'    => 'Creativo',
		// param category tab in add elements view

		'description' => __( 'Add a cool Fancy Box element to your page.', 'Creativo' ),
		// element description in add elements view

		'icon'        => get_template_directory_uri() . '/assets/images/vc/fancy-box.png', // Simply pass url to your icon here,
		// don't show params window after adding

		'params'      => array(
			array(
				'type'        => 'dropdown',
				'heading'     => __( 'Background Fill', 'Creativo' ),
				'param_name'  => 'bg_fill',
				'value'       => array(
					__( 'Solid Color', 'Creativo' ) => 'color',
					__( 'Image', 'Creativo' )       => 'image',
				),
				'description' => __( 'Select the background fill.', 'Creativo' ),
			),
			array(
				'type'        => 'colorpicker',
				'class'       => '',
				'heading'     => __( 'Background Color', 'Creativo' ),
				'param_name'  => 'bg_fill_color',
				'value'       => '#27d897', //Default Red color
				'description' => __( 'Choose the background color', 'Creativo' ),
				'dependency'  => array(
					'element' => 'bg_fill',
					'value'   => array( 'color' ),
				),
			),
			array(
				'type'        => 'textfield',
				'heading'     => __( 'Min Height', 'Creativo' ),
				'param_name'  => 'bg_min_height',
				'value'       => '400px',
				'description' => __( 'Set a minimum height for the Fancy Box. Default: 400px.', 'Creativo' ),
				'dependency'  => array(
					'element' => 'bg_fill',
					'value'   => array( 'color' ),
				),
			),
			array(
				'type'        => 'attach_image',
				'heading'     => esc_html__( 'Attach Image', 'Creativo' ),
				'param_name'  => 'image',
				'value'       => '',
				'description' => esc_html__( 'Select image from media library.', 'Creativo' ),
				'dependency'  => array(
					'element' => 'bg_fill',
					'value'   => 'image',
				),
				'admin_label' => true,
			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Image size', 'Creativo' ),
				'param_name'  => 'img_size',
				'value'       => 'full',
				'description' => esc_html__( 'Enter image size (Example: "thumbnail", "medium", "large", "full" or other sizes defined by theme). Alternatively enter size in pixels (Example: 200x100 (Width x Height)).', 'Creativo' ),
				'dependency'  => array(
					'element' => 'bg_fill',
					'value'   => 'image',
				),
			),			
            array(
				'type'        => 'dropdown',
				'heading'     => __( 'On Click action', 'Creativo' ),
				'param_name'  => 'action',
				'value'       => array(
					__( 'Do nothing', 'Creativo' )           => 'none',
					__( 'Open custom URL', 'Creativo' ) => 'custom_url',
					__( 'Open Image with PopUp effect', 'Creativo' ) => 'magnific',
				),
				'description' => __( 'Allows to disable the X axis (horizontal) or Y axis (vertical). Choose None to keep both axis active', 'Creativo' ),
			),
			array(
				'type'        => 'textfield',
				'value'       => '',
				'heading'     => __( 'URL (Link)', 'Creativo' ),
				'param_name'  => 'href',
                'description' => __( 'Optionally you can enter a link for entire element.<br/>Include the https:// protcol as well!', 'Creativo' ),
                'dependency' => array(
                    'element'   => 'action',
                    'value' => 'custom_url',
                ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Link Target', 'Creativo' ),
				'param_name' => 'href_target',
				'value'       => array(
					__( 'Same Window', 'Creativo' )           => '_self',
					__( 'New Window', 'Creativo' ) => '_blank',					
				),
				'dependency' => array(
					'element'   => 'href',
					'not_empty' => true,
				),
			),
			array(
				'type'        => 'textfield',
				'heading'     => __( 'Extra class name', 'Creativo' ),
				'param_name'  => 'el_class',
				'description' => __( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'Creativo' ),
			),
			array(
				'type'        => 'textfield',
				'heading'     => __( 'Heading', 'Creativo' ),
				'param_name'  => 'heading',
				'value'       => '',
				'description' => __( 'Element heading text.', 'Creativo' ),
				'group'       => esc_html__( 'Content', 'Creativo' ),
			),
			array(
				'type'        => 'textfield',
				'heading'     => __( 'Second Heading', 'Creativo' ),
				'param_name'  => 'heading_sec',
				'value'       => '',
				'description' => __( 'Element second heading text. Leavy empty to not use a second heading', 'Creativo' ),
				'group'       => esc_html__( 'Content', 'Creativo' ),
			),
			array(
				'type'        => 'dropdown',
				'heading'     => __( 'Content Horizontal Alignment', 'Creativo' ),
				'param_name'  => 'align_horiz',
				'value'       => array(
					__( 'Left', 'Creativo' )   => 'left',
					__( 'Center', 'Creativo' ) => 'center',
					__( 'Right', 'Creativo' )  => 'right',
				),
				'description' => __( 'Set the horizontal alignment of the content', 'Creativo' ),
				'group'       => esc_html__( 'Content', 'Creativo' ),
			),
			array(
				'type'        => 'dropdown',
				'heading'     => __( 'Content Vertical Alignment', 'Creativo' ),
				'param_name'  => 'align_vert',
				'value'       => array(
					__( 'Bottom', 'Creativo' ) => 'bottom',
					__( 'Middle', 'Creativo' ) => 'middle',
					__( 'Top', 'Creativo' )    => 'top',
				),
				'description' => __( 'Set the vertical alignment of the content', 'Creativo' ),
				'group'       => esc_html__( 'Content', 'Creativo' ),
			),
			array(
				'type'        => 'colorpicker',
				'heading'     => __( 'Heading Color', 'Creativo' ),
				'param_name'  => 'heading_color',
				'value'       => '#ffffff',
				'description' => __( 'Choose the color of the Heading', 'Creativo' ),
				'dependency'  => array(
					'element'   => 'heading',
					'not_empty' => true,
				),
				'group'       => esc_html__( 'Content', 'Creativo' ),
			),
			array(
				'type'        => 'textfield',
				'heading'     => __( 'Heading Font Size', 'Creativo' ),
				'param_name'  => 'heading_fs',
				'value'       => '40px',
				'description' => __( 'Set the font size of the Heading. Default: 40px', 'Creativo' ),
				'dependency'  => array(
					'element'   => 'heading', // used to be full_height
					'not_empty' => true,
				),
				'group'       => esc_html__( 'Content', 'Creativo' ),
			),
			array(
				'type'        => 'dropdown',
				'heading'     => __( 'Heading Font Weight', 'Creativo' ),
				'param_name'  => 'heading_weight',
				'value'       => array( 700, 600, 500, 400, 300, 'normal' ),
				'description' => __( 'Set the font weight for the Heading', 'Creativo' ),
				'dependency'  => array(
					'element'   => 'heading',
					'not_empty' => true,
				),
				'group'       => esc_html__( 'Content', 'Creativo' ),
			),
			array(
				'type'        => 'colorpicker',
				'heading'     => __( 'Second Heading Color', 'Creativo' ),
				'param_name'  => 'heading_sec_color',
				'value'       => '#ffffff',
				'description' => __( 'Choose the color of the Heading', 'Creativo' ),
				'dependency'  => array(
					'element'   => 'heading_sec',
					'not_empty' => true,
				),
				'group'       => esc_html__( 'Content', 'Creativo' ),
			),
			array(
				'type'        => 'textfield',
				'heading'     => __( 'Second Heading Font Size', 'Creativo' ),
				'param_name'  => 'heading_sec_fs',
				'value'       => '14px',
				'description' => __( 'Set the font size of the Second Heading. Default: 14px', 'Creativo' ),
				'dependency'  => array(
					'element'   => 'heading_sec', // used to be full_height
					'not_empty' => true,
				),
				'group'       => esc_html__( 'Content', 'Creativo' ),
			),
			array(
				'type'        => 'dropdown',
				'heading'     => __( 'Second Heading Font Weight', 'Creativo' ),
				'param_name'  => 'heading_sec_weight',
				'value'       => array( 'normal', 700, 600, 500, 400, 300 ),
				'description' => __( 'Set the font weight for the Second Heading', 'Creativo' ),
				'dependency'  => array(
					'element'   => 'heading_sec',
					'not_empty' => true,
				),
				'group'       => esc_html__( 'Content', 'Creativo' ),
			),
			array(
				'type'        => 'dropdown',
				'heading'     => __( 'Enable Border', 'Creativo' ),
				'param_name'  => 'en_border',
				'value'       => array(
					__( 'No', 'Creativo' )  => 'no',
					__( 'Yes', 'Creativo' ) => 'yes',
				),
				'description' => __( 'Enable / disable a border effect inside the element.', 'Creativo' ),
				'group'       => esc_html__( 'Border / Shadow', 'Creativo' ),
			),
			array(
				'type'        => 'textfield',
				'heading'     => __( 'Border Width', 'Creativo' ),
				'param_name'  => 'border_width',
				'value'       => '2px',
				'description' => __( 'Set the width of the border in pixels. E.g: 2px', 'Creativo' ),
				'dependency'  => array(
					'element' => 'en_border', // used to be full_height
					'value'   => 'yes',
				),
				'group'       => esc_html__( 'Border / Shadow', 'Creativo' ),
			),
			array(
				'type'        => 'colorpicker',
				'heading'     => __( 'Border Color', 'Creativo' ),
				'param_name'  => 'border_color',
				'value'       => '#ffffff', //Default Red color
				'description' => __( 'Choose the color of the border', 'Creativo' ),
				'dependency'  => array(
					'element' => 'en_border',
					'value'   => array( 'yes' ),
				),
				'group'       => esc_html__( 'Border / Shadow', 'Creativo' ),
			),
			array(
				'type'        => 'dropdown',
				'heading'     => __( 'Enable Shadow', 'Creativo' ),
				'param_name'  => 'en_shadow',
				'value'       => array(
					__( 'Yes', 'Creativo' ) => 'yes',
					__( 'No', 'Creativo' )  => 'no',
				),
				'description' => __( 'Enable / disable shadow effect.', 'Creativo' ),
				'group'       => esc_html__( 'Border / Shadow', 'Creativo' ),
			),
			array(
				'type'        => 'dropdown',
				'heading'     => __( 'Tilt Effect Strength', 'Creativo' ),
				'param_name'  => 'tilt_str',
				'value'       => array(
					__( 'Medium', 'Creativo' ) => 20,
					__( 'Low', 'Creativo' )    => 10,
					__( 'High', 'Creativo' )   => 30,
				),
				'description' => __( 'Set the tilt effect strenth.', 'Creativo' ),
				'group'       => esc_html__( 'Effect Settings', 'Creativo' ),
			),
			array(
				'type'        => 'dropdown',
				'heading'     => __( 'Scale Effect', 'Creativo' ),
				'param_name'  => 'scale',
				'value'       => array(
					__( 'None', 'Creativo' )   => 1,
					__( 'Low', 'Creativo' )    => 1.02,
					__( 'Medium', 'Creativo' ) => 1.05,
					__( 'High', 'Creativo' )   => 1.08,
				),
				'description' => __( 'Set the scale effect.', 'Creativo' ),
				'group'       => esc_html__( 'Effect Settings', 'Creativo' ),
            ),            
			array(
				'type'        => 'dropdown',
				'heading'     => __( 'Disable Axis', 'Creativo' ),
				'param_name'  => 'disable_axis',
				'value'       => array(
					__( 'None', 'Creativo' )           => 'none',
					__( 'Disable Y axis', 'Creativo' ) => 'x',
					__( 'Disable X axis', 'Creativo' ) => 'y',
				),
				'description' => __( 'Allows to disable the X axis (horizontal) or Y axis (vertical). Choose None to keep both axis active', 'Creativo' ),
				'group'       => esc_html__( 'Effect Settings', 'Creativo' ),
			),
			array(
				'type'        => 'dropdown',
				'heading'     => __( 'Enable Gradient', 'Creativo' ),
				'param_name'  => 'en_gradient',
				'value'       => array(
					__( 'No', 'Creativo' )  => 'no',
					__( 'Yes', 'Creativo' ) => 'yes',
				),
				'description' => __( 'Enable a gradient effect over the image.', 'Creativo' ),
				'dependency'  => array(
					'element'   => 'bg_fill',
					'value' => 'image',
				),
				'group'       => esc_html__( 'Gradient Mask', 'Creativo' ),
			),
			array(
				'type'        => 'colorpicker',
				'heading'     => __( 'Color 1', 'Creativo' ),
				'param_name'  => 'grad_color1',
				'value'       => '#000000', 
				'description' => __( 'Choose the first color of the gradient', 'Creativo' ),
				'dependency'  => array(
					'element' => 'en_gradient',
					'value'   => 'yes',
				),
				'group'       => esc_html__( 'Gradient Mask', 'Creativo' ),
			),
			array(
				'type'        => 'colorpicker',
				'heading'     => __( 'Color 2', 'Creativo' ),
				'param_name'  => 'grad_color2',
				'value'       => '#ffffff', 
				'description' => __( 'Choose the second color of the gradient', 'Creativo' ),
				'dependency'  => array(
					'element' => 'en_gradient',
					'value'   => 'yes',
				),
				'group'       => esc_html__( 'Gradient Mask', 'Creativo' ),
			),
			array(
				'type' => 'cr_slider',
				'heading'     => __( 'Gradient Direction in degrees', 'Creativo' ),
				'param_name' => 'gradient_deg',
				'value' => '0',
	            'min' => '0',
	            'max' => '360',
	            'step' => '5',
	            'unit' => 'degrees',				
				'description' => 'Set the gradient direction in degrees.',
				'dependency'  => array(
					'element' => 'en_gradient',
					'value'   => 'yes',
				),
				'group'       => esc_html__( 'Gradient Mask', 'Creativo' ),
			),
			array(
				'type' => 'cr_slider',
				'heading'     => __( 'Color 1 Start', 'Creativo' ),
				'param_name' => 'grad_color1_start',
				'value' => '0',
	            'min' => '0',
	            'max' => '100',
	            'step' => '1',
	            'unit' => '%',				
				'description' => 'Set the starting point of color 1, in percents. Color 1 value should be lower than Color 2.',
				'dependency'  => array(
					'element' => 'en_gradient',
					'value'   => 'yes',
				),
				'group'       => esc_html__( 'Gradient Mask', 'Creativo' ),
			),
			array(
				'type' => 'cr_slider',
				'heading'     => __( 'Color 2 Start', 'Creativo' ),
				'param_name' => 'grad_color2_start',
				'value' => '100',
	            'min' => '0',
	            'max' => '100',
	            'step' => '1',
	            'unit' => '%',				
				'description' => 'Set the starting point of color 2, in percents. Color 2 value should be higher than Color 1.',
				'dependency'  => array(
					'element' => 'en_gradient',
					'value'   => 'yes',
				),
				'group'       => esc_html__( 'Gradient Mask', 'Creativo' ),
			),
		),
	);


