<?php
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}

/**
 * Shortcode attributes
 * @var $atts
 * @var $color
 * @var $inline_button 
 * @var $custom_color
 * @var custom_border_color
 * @var custom_font_size
 * @var custom_line_height
 * @var custom_font_weight
 * @var custom_text_color 
 * @var $custom_color_hover
 * @var $custom_text_color_hover 
 * @var $custom_border_color_hover
 * @var $grd_color_1
 * @var $grd_color_2
 * @var $padding_lr
 * @var $size
 * @var $icon
 * @var $target
 * @var $href
 * @var $el_class
 * @var $title
 * Shortcode class
 * @var $this WPBakeryShortCode_VC_Button
 */
$output = $icon_render = $iconClass = $icon_margin = $button_content = $icon = $position = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

global $button_counter;

$current_link = $_SERVER["REQUEST_URI"];
//echo $current_link;
// add an unique class to each button
if(strpos($current_link, 'vc_editable=true')) {
	$button_counter = rand();
}
else{
	if( ! isset($button_counter) ){
	  $button_counter = 1;
	}
	else{
	  $button_counter ++;
	}
}

$a_class = '';

if ( '' !== $el_class ) {
	$tmp_class = explode( ' ', strtolower( $el_class ) );
	$tmp_class = str_replace( '.', '', $tmp_class );
	if ( in_array( 'prettyphoto', $tmp_class ) ) {
		wp_enqueue_script( 'prettyphoto' );
		wp_enqueue_style( 'prettyphoto' );
		$a_class .= ' prettyphoto';
		$el_class = str_ireplace( 'prettyphoto', '', $el_class );
	}
	if ( in_array( 'pull-right', $tmp_class ) && '' !== $href ) {
		$a_class .= ' pull-right';
		$el_class = str_ireplace( 'pull-right', '', $el_class );
	}
	if ( in_array( 'pull-left', $tmp_class ) && '' !== $href ) {
		$a_class .= ' pull-left';
		$el_class = str_ireplace( 'pull-left', '', $el_class );
	}
}

$delay = (!empty($delay)) ? 'data-delay="'.$delay.'"' : '';

$css_animation = getCSSAnimation($css_animation);

$inline_button = ( 'yes' === $inline_button ) ? ' inline mr-3' : '';

if ( 'same' === $target || '_self' === $target ) {
	$target = '';
}
$target = ( '' !== $target ) ? esc_attr( $target ) : '';

$style = ($style == '3d') ? ' style_3d' : '' ;

$shape = ( 'rounded' === $shape ) ? ' rounded-md'  : ( 'round' === $shape ? ' rounded-full' : '' );

$full_width = ($full_width === 'true') ? ' w-full' : '';

if ( 'true' === $add_icon ) {
	
	vc_icon_element_fonts_enqueue( $icon_type );

	$icon_margin = ( 'right_icon' === $i_align ) ? 'ml-3' : 'mr-3';
	
	$iconClass = isset( ${"icon_" . $icon_type} ) ? ${"icon_" . $icon_type} : 'fa fa-info-circle';
	
	$icon_render = '<i class="'.$iconClass . ' ' . $icon_margin . '"></i>';
	
}

//$size = ( 'large' === $size ) ? 'py-6 px-10 text-lg ' : '';

$button_content = ( 'right_icon' === $i_align ) ? $title . $icon_render : $icon_render . $title;


if($color == 'custom' || $color == 'custom_grd') {
	$styles_render = '<style type="text/css" scoped="scoped">';
	
		$styles_render .= '.button.button_scope_' . $button_counter . ',.button.button_scope_' . $button_counter . '.style_3d:hover{';			
			$styles_render .= 'color:'.$custom_text_color.';';
			if( 'no' === $uppercase ) {
				$styles_render .= 'text-transform: none;';
			}
			$styles_render .= 'padding-left: ' . $padding_lr . '; padding-right: '.$padding_lr.';';
			if($custom_font_size != '') {
				$styles_render .= 'font-size:'.$custom_font_size.';';
			}
			if($custom_line_height !=''){
				$styles_render .= 'line-height:'.$custom_line_height.';';
			}
			if($custom_font_weight !=''){
				$styles_render .= 'font-weight:'.$custom_font_weight.';';
			}
			if($custom_letter_spacing !='1px') {
				$styles_render .= 'letter-spacing:'.$custom_letter_spacing.';';
			}
			if($color == 'custom') {
				$styles_render .= 'border-color:'.$custom_border_color.';';
				$styles_render .= 'background-color:'.$custom_color.';';
				$styles_render .= 'border-width:'.$button_border_width.';';
			}
			else {
				$styles_render .= 'border: none;';
				$styles_render .= 'background:'.$grd_color_1.';';				
				$styles_render .= 'background: -moz-linear-gradient(top, '.$grd_color_1.' 0%, '.$grd_color_2.' 100%);';
				$styles_render .= 'background: -webkit-linear-gradient(top, '.$grd_color_1.' 0%, '.$grd_color_2.' 100%);';
				$styles_render .= 'background: linear-gradient(top, '.$grd_color_1.' 0%, '.$grd_color_2.' 100%);';
				$styles_render .= 'filter: progid:DXImageTransform.Microsoft.gradient( startColorstr=\''.$grd_color_1.'\', endColorstr=\''.$grd_color_2.'\',GradientType=0 )';
			}
		$styles_render .= '}';
		
		if($color == 'custom') {
			$styles_render .= '.button.button_scope_' . $button_counter . ':hover{';
				$styles_render .= 'background-color:'.$custom_color_hover.';';
				$styles_render .= 'color:'.$custom_text_color_hover.';';
				$styles_render .= 'border-color:'.$custom_border_color_hover.';';				
			$styles_render .= '}';
			
			$styles_render .= '.button.button_scope_' . $button_counter . '.style_3d {';
				$styles_render .= 'box-shadow: 0 5px 0' . hexDarker( $custom_color, 20 ).';';
				$styles_render .= '-webkit-box-shadow: 0 5px 0' . hexDarker( $custom_color, 20 ).';';
			$styles_render .= '}';
		}
		else {
			$styles_render .= '.button.button_scope_' . $button_counter . '.style_3d {';
				$styles_render .= 'box-shadow: 0 5px 0' . hexDarker( $grd_color_2, 20 ).';';
				$styles_render .= '-webkit-box-shadow: 0 5px 0' . hexDarker( $grd_color_2, 20 ).';';
			$styles_render .= '}';
		}
		
	$styles_render .= '</style>';
}
$color = ( $color != '' ) ? $color = 'button_'.$color : '';

$align = ( 'center' === $align ) ? 'text-center' : ( 'right' === $align ? 'text-right' : '' );

$el_class = $this->getExtraClass( $el_class );

$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, 'wpb_button ' . $color . $size . $icon . $el_class . $position, $this->settings['base'], $atts );

$output = '<div class="' . $inline_button . $align . ' ' . $css_animation . ' ' . $el_class . '" '.$delay.'>' . $styles_render . '<a class="button ' . $size . ' ' . $color . ' button_scope_' . $button_counter . $style . $shape . $full_width . '" href="'.$href.'" target="' . $target . '"><span class="button-content">' . $button_content . '</span></a></div>';

return $output;
