<?php
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}

/**
 * Shortcode attributes
 * @var $atts
 * @var $el_id
 * @var $el_class
 * @var $width
 * @var $css
 * @var $col_shadow
 * @var $col_shadow_hover
 * @var $offset
 * @var $content - shortcode content
 * @var $css_animation
 * Shortcode class
 * @var WPBakeryShortCode_Vc_Column $this
 */
$el_class = $el_id = $width = $css = $col_shadow = $enable_tilt = $data_tilt_attr = $col_shadow_hover = $col_shadow_parent = $offset = $css_animation = '';
$output = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$width = wpb_translateColumnWidthToSpan( $width );
$width = vc_column_offset_class_merge( $offset, $width );

$css_classes = array(
	$this->getExtraClass( $el_class ) . $this->getCSSAnimation( $css_animation ),
	'wpb_column',
	'vc_column_container',
	$width,
);

if ( vc_shortcode_custom_css_has_property( $css, array(
	'border',
	'background',
) ) ) {
	$css_classes[] = 'vc_col-has-fill';
}

$wrapper_attributes = array();

// Creativo Shadow Logic for Columns.
$col_shadow_parent = ( 'none' !== $col_shadow && '' !== $col_shadow ) ? 'column_shadow_padding' : '';
$col_shadow = ( 'none' !== $col_shadow && '' !== $col_shadow ) ? $col_shadow . ' ' : '';
$col_shadow_hover = ( 'none' !== $col_shadow_hover && '' !== $col_shadow ) ? 'hover:' . $col_shadow_hover . ' transition-shadow duration-500 ' : '';
// Creativo Shadow Logic for Columns end.

// Creativo Tilt effect
if ( 'yes' !== $enable_tilt ) {
	wp_enqueue_script('tilt-effect');
	$data_tilt_attr = 'data-tilt data-tilt-max="20" data-tilt-perspective="1000" data-tilt-scale="1.02" data-tilt-speed="1500"';
}
// Creativo Tilt effect end

$css_class = preg_replace( '/\s+/', ' ', apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, implode( ' ', array_filter( $css_classes ) ), $this->settings['base'], $atts ) );
$wrapper_attributes[] = 'class="' . esc_attr( trim( $css_class ) ) . ' ' . $col_shadow_parent .'"';
if ( ! empty( $el_id ) ) {
	$wrapper_attributes[] = 'id="' . esc_attr( $el_id ) . '"';
}

$output .= '<div ' . implode( ' ', $wrapper_attributes ) . '>';
$innerColumnClass = 'vc_column-inner ' . $col_shadow . $col_shadow_hover  . esc_attr( trim( vc_shortcode_custom_css_class( $css ) ) );
$output .= '<div class="' . trim( $innerColumnClass ) . '">';
$output .= '<div class="wpb_wrapper">';
$output .= wpb_js_remove_wpautop( $content );
$output .= '</div>';
$output .= '</div>';
$output .= '</div>';

echo $output;
