<?php
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}

/**
 * Shortcode attributes
 * @var $atts
 * @var $source
 * @var $text
 * @var $link
 * @var $google_fonts
 * @var $font_container
 * @var $el_class
 * @var $el_id
 * @var $css
 * @var $css_animation
 * @var $font_container_data - returned from $this->getAttributes
 * @var $google_fonts_data - returned from $this->getAttributes
 * Shortcode class
 * @var WPBakeryShortCode_Vc_Custom_heading $this
 */
$source = $text = $link = $google_fonts = $font_container = $el_id = $el_class = $css = $css_animation = $font_container_data = $google_fonts_data = array();

$styles_render = '';

// This is needed to extract $font_container_data and $google_fonts_data
extract( $this->getAttributes( $atts ) );

$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

/**
 * @var $css_class
 */
extract( $this->getStyles( $el_class . $this->getCSSAnimation( $css_animation ), $css, $google_fonts_data, $font_container_data, $atts ) );

$settings = get_option( 'wpb_js_google_fonts_subsets' );
if ( is_array( $settings ) && ! empty( $settings ) ) {
	$subsets = '&subset=' . implode( ',', $settings );
} else {
	$subsets = '';
}

if ( ( ! isset( $atts['use_theme_fonts'] ) || 'yes' !== $atts['use_theme_fonts'] ) && isset( $google_fonts_data['values']['font_family'] ) ) {
	wp_enqueue_style( 'vc_google_fonts_' . vc_build_safe_css_class( $google_fonts_data['values']['font_family'] ), 'https://fonts.googleapis.com/css?family=' . $google_fonts_data['values']['font_family'] . $subsets, [], WPB_VC_VERSION );
}

if ( ! empty( $styles ) ) {
	$style = 'style="' . esc_attr( implode( ';', $styles ) ) . '"';
} else {
	$style = '';
}

if ( 'post_title' === $source ) {
	$text = get_the_title( get_the_ID() );
}

if ( ! empty( $link ) ) {
	$link = vc_build_link( $link );
	$text = '<a href="' . esc_url( $link['url'] ) . '"' . ( $link['target'] ? ' target="' . esc_attr( $link['target'] ) . '"' : '' ) . ( $link['rel'] ? ' rel="' . esc_attr( $link['rel'] ) . '"' : '' ) . ( $link['title'] ? ' title="' . esc_attr( $link['title'] ) . '"' : '' ) . '>' . $text . '</a>';
}

// Creativo addition for mobile responsive.

global $ch_counter;
$current_link = $_SERVER['REQUEST_URI']; // @codingStandardsIgnoreLine

// Add an unique class to each button.
if ( strpos( $current_link, 'vc_editable=true' ) ) {
	$ch_counter = wp_rand();
} else {
	if ( ! isset( $ch_counter ) ) {
		$ch_counter = 1;
	} else {
		$ch_counter ++;
	}
}
if( '' ==! $tablet_font_size || '' ==! $smartphone_font_size || '' ==! $tablet_line_height || '' ==! $smartphone_line_height ) { 

	$styles_render = '<style type="text/css" scoped="scoped">';	
		if( '' ==! $tablet_font_size || '' ==! $tablet_line_height ) {
			$styles_render .= '@media screen and (max-width: 960px) {';
				$styles_render .= '.ch_mobile_' . $ch_counter . '{'; 
					$styles_render .= 'font-size: ' . $tablet_font_size . ' !important;';
					$styles_render .= 'line-height: ' . $tablet_line_height . ' !important;';
				$styles_render .= '}';
			$styles_render .= '}';
		}
		if( '' ==! $smartphone_font_size || '' ==! $smartphone_line_height ) {
			$styles_render .= '@media screen and (max-width: 470px) {';
				$styles_render .= '.ch_mobile_' . $ch_counter . '{';
					$styles_render .= 'font-size: ' . $smartphone_font_size . ' !important;';
					$styles_render .= 'line-height: ' . $smartphone_line_height . ' !important;';
				$styles_render .= '}';
			$styles_render .= '}';
		}
	$styles_render .= '</style>';

}


$wrapper_attributes = array();
if ( ! empty( $el_id ) ) {
	$wrapper_attributes[] = 'id="' . esc_attr( $el_id ) . '"';
}
$output = '';
$output .= $styles_render;
if ( apply_filters( 'vc_custom_heading_template_use_wrapper', false ) ) {
	$output .= '<div class="' . esc_attr( $css_class ) . ' ch_mobile_'.$ch_counter.'" ' . implode( ' ', $wrapper_attributes ) . '>';
	$output .= '<' . $font_container_data['values']['tag'] . ' ' . $style . ' >';
	$output .= $text;
	$output .= '</' . $font_container_data['values']['tag'] . '>';
	$output .= '</div>';
} else {
	$output .= '<' . $font_container_data['values']['tag'] . ' ' . $style . ' class="' . esc_attr( $css_class ) . ' ch_mobile_'.$ch_counter.'" ' . implode( ' ', $wrapper_attributes ) . '>';
	$output .= $text;
	$output .= '</' . $font_container_data['values']['tag'] . '>';
}

return $output;
